//
//  ViewController.swift
//  userDefaults_Array
//
//  Created by yoshiyuki oshige on 2015/09/21.
//  Copyright © 2015年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    @IBAction func getList(sender: AnyObject) {
        // ユーザーデフォルトを参照する
        let defaults = NSUserDefaults.standardUserDefaults()
        // キー"myList"の値を配列として読み込む
        if let theList = defaults.arrayForKey("myList"){
            print(theList)
        }
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        // 配列を作る
        let list = [1,2,3]
        // ユーザーデフォルトを参照する
        let defaults = NSUserDefaults.standardUserDefaults()
        // 配列listをキー"myList"で保存する
        defaults.setObject(list, forKey: "myList")
        
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

